org.apache.hadoop.hdfs.server.common

## Enum HdfsServerConstants.BlockUCState

- java.lang.Object
- - java.lang.Enum<HdfsServerConstants.BlockUCState>
  - - org.apache.hadoop.hdfs.server.common.HdfsServerConstants.BlockUCState

- All Implemented Interfaces:
    Serializable, Comparable<HdfsServerConstants.BlockUCState>
  Enclosing interface:
    org.apache.hadoop.hdfs.server.common.HdfsServerConstants

      public static enum HdfsServerConstants.BlockUCState
      extends Enum<HdfsServerConstants.BlockUCState>

  States, which a block can go through while it is under construction.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMITTED` The block is committed. The client reported that all bytes are written to data-nodes with the given generation stamp and block length, but no `HdfsServerConstants.ReplicaState.FINALIZED` replicas has yet been reported by data-nodes themselves.
    `COMPLETE` Block construction completed. The block has at least the configured minimal replication number of `HdfsServerConstants.ReplicaState.FINALIZED` replica(s), and is not going to be modified.
    `UNDER_CONSTRUCTION` The block is under construction. It has been recently allocated for write or append.
    `UNDER_RECOVERY` The block is under recovery. When a file lease expires its last block may not be `COMPLETE` and needs to go through a recovery procedure, which synchronizes the existing replicas contents.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HdfsServerConstants.BlockUCState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HdfsServerConstants.BlockUCState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPLETE

          public static final HdfsServerConstants.BlockUCState COMPLETE

      Block construction completed.
      The block has at least the configured minimal replication number of `HdfsServerConstants.ReplicaState.FINALIZED` replica(s), and is not going to be modified. NOTE, in some special cases, a block may be forced to COMPLETE state, even if it doesn't have required minimal replications.

    - #### UNDER_CONSTRUCTION

          public static final HdfsServerConstants.BlockUCState UNDER_CONSTRUCTION

      The block is under construction.
      It has been recently allocated for write or append.

    - #### UNDER_RECOVERY

          public static final HdfsServerConstants.BlockUCState UNDER_RECOVERY

      The block is under recovery.
      When a file lease expires its last block may not be `COMPLETE` and needs to go through a recovery procedure, which synchronizes the existing replicas contents.

    - #### COMMITTED

          public static final HdfsServerConstants.BlockUCState COMMITTED

      The block is committed.
      The client reported that all bytes are written to data-nodes with the given generation stamp and block length, but no `HdfsServerConstants.ReplicaState.FINALIZED` replicas has yet been reported by data-nodes themselves.

  - ### Method Detail

    - #### values

          public static HdfsServerConstants.BlockUCState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HdfsServerConstants.BlockUCState c : HdfsServerConstants.BlockUCState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HdfsServerConstants.BlockUCState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.